package com.dst.slms.plan.entity;


import org.hibernate.annotations.DynamicUpdate;
import com.dst.slms.common.annotation.EntityMeta;
import com.dst.slms.common.annotation.FieldMeta;
import com.dst.slms.common.entity.CoreBaseInfo;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.hibernate.annotations.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.dst.slms.common.entity.CoreBillBaseInfo;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.ForeignKey;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;
import org.hibernate.annotations.Cascade;
import org.hibernate.annotations.OrderBy;
/**   
 * @Title: 费用明细 Info 对象
 * @Description: 费用明细
 * @author 
 * @date 2020-05-02 11:14:38
 * @version V1.0   
 */
@Entity
@Table(name="yc_cost_CyclePaymentPlanE1")
@DynamicUpdate(true)
@EntityMeta(name="费用明细")
public class CyclePaymentPlanE1Info  extends AbstractCyclePaymentPlanE1Info implements java.io.Serializable {
	
	public CyclePaymentPlanE1Info(){
        super();
    }
	
	@Transient
	private String _parentId;
	@Transient
	private String state;
	@Transient
	private String icon;
	public String get_parentId() {
		return _parentId;
	}
	public void set_parentId(String _parentId) {
		this._parentId = _parentId;
	}
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	public String getIcon() {
		return icon;
	}
	public void setIcon(String icon) {
		this.icon = icon;
	}
	
	
}
